Subject: Question on sender descriptor

From: Suddha Dey <[email-masked]>
Date: Thu, 2 Dec 1999 19:05:16 +0530 (IST)

Is the sender descriptor optional in the Path message of RSVP (RFC 2205)?
According to the BNF notation (Page 36) it is optional. But section 3.1.3
says "Each sender host periodically sends a Path message for each data
flow it originates. It contains a SENDER_TEMPLATE object defining the
format of the data packets.................". From which it sounds that
each Path message *must* have a sender descriptor. 
    Thanks
       Suddha

---

From: Bob Braden <[email-masked]>
Date: Thu, 2 Dec 1999 17:43:50 GMT

*> From [email-masked] Thu Dec  2 07:13:59 1999
  *> X-Authentication-Warning: gopal.dtix.com: sdey owned process doing -bs
  *> Date: Thu, 2 Dec 1999 19:05:16 +0530 (IST)
  *> From: Suddha Dey <[email-masked]>
  *> X-Sender: sdey@gopal
  *> To: [email-masked]
  *> cc: [email-masked]
  *> Subject: Question on sender descriptor
  *> In-Reply-To: <001201bf37b9$376c38e0$324b1390@WRK2000>
  *> MIME-Version: 1.0
  *> X-Lines: 11
  *> 
  *>  
  *>  Is the sender descriptor optional in the Path message of RSVP (RFC 2205)?
  *> According to the BNF notation (Page 36) it is optional. But section 3.1.3
  *> says "Each sender host periodically sends a Path message for each data
  *> flow it originates. It contains a SENDER_TEMPLATE object defining the
  *> format of the data packets.................". From which it sounds that
  *> each Path message *must* have a sender descriptor. 
  *>     Thanks
  *>        Suddha 
  *>                    
  *> 
  *> 
It is synactically optional but semantically required.  Got that?

That it is optional syntactically is a wierdness, introduced to avoid
the IETF/RFC Editor rules for normative references.  It allowed the
RSVP working group to move RSVP to Proposed Standard without waiting
for all the int-serv documents.  The sender descriptor (and similarly the
flow descriptor) include objects whose formats are defined in
int-serv documents.  To decouple them, we simply made the sender and
descriptors optional.  In any future revision of the protocol,
these will no longer be optional.

However, if you WANT to send an empty Path message, you are allowed to.
Maybe that will even turn out to be useful; people have a way of
finding unexpected uses for protocol anomalies.

Bob Braden